Subject: Re: [bug#31025] [core-updates] LLVM 6.0

From: [email-masked] (Ludovic Courtès)
Date: Thu, 05 Apr 2018 10:20:37 +0200

Marius Bakke <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> Does this change the derivation of ‘llvm’ proper?  If not, this could
>> even go to ‘master’.
>
> LLVM is unaffected by this patch, only "clang" is changed.  So I believe
> master is fine indeed.
>
> However as it stands, many packages would break since the "clang"
> variable changes from 3.8 to 6.0.  I'll test out each dependent and
> see if they can be updated or change back to 3.8/3.9 for those.

Right, we could keep 3.8 as the default for now.

> I'm busy today, but can probably commit this tomorrow.  Meanwhile, how
> does the updated patch look?

LGTM, thanks!

Ludo’.